<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>مدیریت دخل و خرج</title>
    <link rel="stylesheet" href="./assets/main.css">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.0.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/mahmoud-eskandari/NumToPersian/dist/num2persian-min.js"></script>
</head>
<body>
    <header>
        <img src="./assets/banner.png" alt="">
    </header>
    <div class="container">
        <div class="topData">
            <div class="formBox">
                <form>
                    <div class="costType">
                        <div class="moneyType">
                            <input class="moneyTypeinput" id="income" name="money_type" type="radio">
                            <label for="income" class="radio-label">درآمد</label>
                        </div>
                    
                        <div class="moneyType">
                            <input class="moneyTypeinput" id="outcome" name="money_type" type="radio">
                            <label  for="outcome" class="radio-label">هزینه</label>
                        </div>
                    </div>
                    <div class="price_f">
                        <label for="">مبلغ :</label>
                        <input id="price_input" type="number">
                        <p><span id="price_view"></span> تومان</p>
                    </div>
                    <div class="time_f">
                        <label for="">تاریخ :</label>
                        <div class="time_inputs">
                            <input id="time_input_d" list="day_list" type="number" placeholder="روز">
                                <datalist id="day_list"></datalist>
                            <input id="time_input_m" list="month_list" type="number" placeholder="ماه">
                                <datalist id="month_list"></datalist>
                            <input id="time_input_y" list="year_list" type="number" placeholder="سال">
                                <datalist id="year_list">
                                    <option value="1401"></option>
                                    <option value="1400"></option>
                                    <option value="1399"></option>
                                    <option value="1398"></option>
                                </datalist>
                        </div>
                    </div>
                    <div class="description_f">
                        <label for="des_input">توضیحات :</label>
                        <textarea name="" id="des_input" cols="30" rows="4"></textarea>
                    </div>
                    <p id="errorText" class="error_p">موارد بالا نمیتوانند خالی باشند</p>
                    <input id="form_BTN" type="button" class="formButton" value="ثبت   دخل   و   خرج" />
                </form>
            </div>
            <div class="moneyDataBox">
                <div class="moneyViewBox">
                    <div class="incomeView">
                        <p>درآمد</p>
                        <p id="income_p_view">0</p>
                    </div>
                    <div class="outcomeView">
                        <p>مخارج</p>
                        <p id="outcome_p_view">0</p>
                    </div>
                </div>
                <div class="chartView">
                    <canvas id="myChart"></canvas>
                </div>
            </div>
        </div>
        <div>
            <table>
                <thead>
                    <tr>
                        <th scope="col">ردیف</th>
                        <th scope="col">مبلغ</th>
                        <th scope="col">تاریخ</th>
                        <th scope="col">نوع هزینه</th>
                        <th scope="col">توضیحات</th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>

    <div id="modal_view_des" class="modal">
        <div class="modal-content">
            <div class="modalTop">
                <p>توضیحات</p>
                <span class="close close_modal">&times;<span>بستن</span></span>
            </div>
            <p id="modal_des">Some text in the Modal..</p>
            <input id="modal_des_back_btn" type="button" class="formButton close_modal" value="بازگشت" />
        </div>
    </div>

    <div id="modal_view_remove" class="modal">
        <div class="modal-content">
            <div class="modalTop">
                <p>توضیحات</p>
                <span class="close close_modal">&times;<span>بستن</span></span>
            </div>
            <p id="modal_des">آیا مطمعن هستید ؟</p>
            <div class="remove_modal_btns">
                <input id="modal_des_back_btn" type="button" class="formButton close_modal" value="بازگشت" />
                <input id="modal_des_remove_btn" type="button" class="formButton remove_modal" value="حذف" />
            </div>
        </div>
    </div>


    <script src="./assets/app.js"></script>

    <script>
    const myChart = new Chart(
        document.getElementById('myChart'),
        config
    );
    </script>
    <script>
        if (localStorage.length == 0){
            $('table').hide()
        }else{
            $('table').show()
        }
    </script>
    <script>
        for(let i=0; i <= 30; i++ ){
            let dayCount = i+1
            $('#day_list').append(`<option value="${dayCount}"></option>`)
        }
        for(let i=0; i <= 11; i++ ){
            let monthCount = i+1
            $('#month_list').append(`<option value="${monthCount}"></option>`)
        }
    </script>
</body>
</html>